.inline-player {
    display: none;
    position: fixed;
    top: 0; left: 0;
    width: 100%; height: 100%;
    z-index: var(--z-modal);
    isolation: isolate;
    animation: fadeIn 0.4s ease;
    background: var(--player-bg);
}
@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(10px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.player-wrapper {
    width: 100%;
    height: 100%;
    overflow: hidden;
    box-shadow: 0 20px 50px rgba(0,0,0,0.5);
    display: flex;
    z-index: 0;
}
.inline-player.is-horizontal .player-wrapper { aspect-ratio: 16 / 9; }
.inline-player.is-vertical .player-wrapper { aspect-ratio: 9 / 16;}

#global-video-player {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: center; 
}
#global-video-player, .control-btn, .progress-container, .custom-controls, .progress-bar, .controls-row {
    outline: none !important;
    box-shadow: none !important;
    -webkit-tap-highlight-color: transparent; /* Убирает синюю вспышку на мобильных при тапе */
}
video::-webkit-media-controls { display: none !important; }


.custom-controls {
    height: var(--player-controller-height);
    padding: var(--space-s) var(--space-m);
    display: flex;
    flex-direction: column;
    position: absolute;
    bottom: 0; left: 0; right: 0;
    background: var(--gradient-green-dt);
    border-top: 2px solid var(--silver-light);
    z-index: 5;
    transition: transform 0.4s ease, opacity 0.4s ease;
    
}
.controls-row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: var(--space-s);
}

.progress-container {
    width: 100%;
    height: 6px;
    background: var(--silver-dark);
    cursor: pointer;
    margin-bottom: 10px;
    overflow: hidden;
}
.progress-bar {
    width: 0%;
    height: 100%;
    background: var(--gold-base, #fff);
    transition: width 0.2s linear;
}
.controls-hidden #video-header {
    transform: translateY(-100%);
    opacity: 0;
}
.controls-hidden #video-footer {
    transform: translateY(100%);
    opacity: 0;
}
.controls-hidden #close-player-btn {
    opacity: 0;
    pointer-events: none;
}
.controls-hidden #controller {
    transform: translateY(100%);
    opacity: 0;
}

/* Control Buttons */
.control-btn {
    background: none;
    border: none;
    color: var(--silver-light);
    cursor: pointer;
    padding: var(--space-s);
    z-index: 10;
}
.close-player-btn {
    position: absolute;
    top: var(--space-s);
    right: var(--space-s);
    background: var(--silver-base) !important;
    border-radius: 48px;
    
}

.btn-secondary { color: var(--copper-base);}

#play-btn .player-pause-icon { display: block; }
#play-btn .player-play-icon { display: none; }
#play-btn.video-is-paused .player-pause-icon { display: none; }
#play-btn.video-is-paused .player-play-icon { display: block; }

#mute-btn .player-volume-icon { display: block; }
#mute-btn .player-mute-icon { display: none; }
#mute-btn.video-is-muted .player-volume-icon { display: none; }
#mute-btn.video-is-muted .player-mute-icon { display: block; }

#info-btn .player-info-icon { display: block; }
#info-btn .player-arrow-icon { display: none; }
#info-btn.info-is-active .player-info-icon { display: none; }
#info-btn.info-is-active .player-arrow-icon { display: block; }


/* Info */
.video-header {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 10;
  padding: 20px;
  box-sizing: border-box;
  z-index: 2;
  background: linear-gradient(to bottom, rgba(0, 0, 0, 0.7) 0%, transparent 100%);
  color: var(--color-text-silver);
  transition: transform 0.4s ease, opacity 0.4s ease;
}
.video-header.hidden {
  transform: translateY(-100%);
  opacity: 0;
}
.video-footer {
  position: absolute;
  bottom: var(--player-controller-height);
  left: 0;
  width: 100%;
  background-color: transparent;
  height: auto;
  flex-grow: 1;
  overflow: hidden;
  transition: max-height 0.4s ease, background-color 0.4s ease;
  z-index: 2;
  max-height: 0;
}
.inline-player.is-vertical .video-footer.expanded {
  max-height: 70dvh; 
  background-color: color-mix(in srgb, var(--green-dark), transparent 10%);
}
.inline-player:not(.is-vertical) .video-footer.expanded {
  max-height: 50dvh;
  background-color: color-mix(in srgb, var(--green-dark), transparent 10%);
}
.footer-content { padding: var(--space-s) var(--space-m); }

.player-time {
    display: flex;
    flex-direction: row;
}